Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network98.96.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
98.96.0.0
Broadcast address
98.127.255.255
First usable
98.96.0.1
Last usable
98.127.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 62600000 · Integer 1650458624 to 1652555775
Reverse DNS zones
96.98.in-addr.arpa
97.98.in-addr.arpa
98.98.in-addr.arpa
99.98.in-addr.arpa
100.98.in-addr.arpa
101.98.in-addr.arpa
102.98.in-addr.arpa
103.98.in-addr.arpa
104.98.in-addr.arpa
105.98.in-addr.arpa
106.98.in-addr.arpa
107.98.in-addr.arpa
108.98.in-addr.arpa
109.98.in-addr.arpa
110.98.in-addr.arpa
111.98.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100010.01100000.00000000.0000000098.96.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network01100010.01100000.00000000.0000000098.96.0.0
Broadcast01100010.01111111.11111111.1111111198.127.255.255
Split into smaller subnets/22

98.96.0.0/11 makes 2,048 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
198.96.0.0/2298.96.0.1 to 98.96.3.25498.96.3.2551,022
298.96.4.0/2298.96.4.1 to 98.96.7.25498.96.7.2551,022
398.96.8.0/2298.96.8.1 to 98.96.11.25498.96.11.2551,022
498.96.12.0/2298.96.12.1 to 98.96.15.25498.96.15.2551,022
598.96.16.0/2298.96.16.1 to 98.96.19.25498.96.19.2551,022
698.96.20.0/2298.96.20.1 to 98.96.23.25498.96.23.2551,022
798.96.24.0/2298.96.24.1 to 98.96.27.25498.96.27.2551,022
898.96.28.0/2298.96.28.1 to 98.96.31.25498.96.31.2551,022
998.96.32.0/2298.96.32.1 to 98.96.35.25498.96.35.2551,022
1098.96.36.0/2298.96.36.1 to 98.96.39.25498.96.39.2551,022
1198.96.40.0/2298.96.40.1 to 98.96.43.25498.96.43.2551,022
1298.96.44.0/2298.96.44.1 to 98.96.47.25498.96.47.2551,022
1398.96.48.0/2298.96.48.1 to 98.96.51.25498.96.51.2551,022
1498.96.52.0/2298.96.52.1 to 98.96.55.25498.96.55.2551,022
1598.96.56.0/2298.96.56.1 to 98.96.59.25498.96.59.2551,022
1698.96.60.0/2298.96.60.1 to 98.96.63.25498.96.63.2551,022
1798.96.64.0/2298.96.64.1 to 98.96.67.25498.96.67.2551,022
1898.96.68.0/2298.96.68.1 to 98.96.71.25498.96.71.2551,022
1998.96.72.0/2298.96.72.1 to 98.96.75.25498.96.75.2551,022
2098.96.76.0/2298.96.76.1 to 98.96.79.25498.96.79.2551,022
2198.96.80.0/2298.96.80.1 to 98.96.83.25498.96.83.2551,022
2298.96.84.0/2298.96.84.1 to 98.96.87.25498.96.87.2551,022
2398.96.88.0/2298.96.88.1 to 98.96.91.25498.96.91.2551,022
2498.96.92.0/2298.96.92.1 to 98.96.95.25498.96.95.2551,022
2598.96.96.0/2298.96.96.1 to 98.96.99.25498.96.99.2551,022
2698.96.100.0/2298.96.100.1 to 98.96.103.25498.96.103.2551,022
2798.96.104.0/2298.96.104.1 to 98.96.107.25498.96.107.2551,022
2898.96.108.0/2298.96.108.1 to 98.96.111.25498.96.111.2551,022
2998.96.112.0/2298.96.112.1 to 98.96.115.25498.96.115.2551,022
3098.96.116.0/2298.96.116.1 to 98.96.119.25498.96.119.2551,022
3198.96.120.0/2298.96.120.1 to 98.96.123.25498.96.123.2551,022
3298.96.124.0/2298.96.124.1 to 98.96.127.25498.96.127.2551,022
3398.96.128.0/2298.96.128.1 to 98.96.131.25498.96.131.2551,022
3498.96.132.0/2298.96.132.1 to 98.96.135.25498.96.135.2551,022
3598.96.136.0/2298.96.136.1 to 98.96.139.25498.96.139.2551,022
3698.96.140.0/2298.96.140.1 to 98.96.143.25498.96.143.2551,022
3798.96.144.0/2298.96.144.1 to 98.96.147.25498.96.147.2551,022
3898.96.148.0/2298.96.148.1 to 98.96.151.25498.96.151.2551,022
3998.96.152.0/2298.96.152.1 to 98.96.155.25498.96.155.2551,022
4098.96.156.0/2298.96.156.1 to 98.96.159.25498.96.159.2551,022
4198.96.160.0/2298.96.160.1 to 98.96.163.25498.96.163.2551,022
4298.96.164.0/2298.96.164.1 to 98.96.167.25498.96.167.2551,022
4398.96.168.0/2298.96.168.1 to 98.96.171.25498.96.171.2551,022
4498.96.172.0/2298.96.172.1 to 98.96.175.25498.96.175.2551,022
4598.96.176.0/2298.96.176.1 to 98.96.179.25498.96.179.2551,022
4698.96.180.0/2298.96.180.1 to 98.96.183.25498.96.183.2551,022
4798.96.184.0/2298.96.184.1 to 98.96.187.25498.96.187.2551,022
4898.96.188.0/2298.96.188.1 to 98.96.191.25498.96.191.2551,022
4998.96.192.0/2298.96.192.1 to 98.96.195.25498.96.195.2551,022
5098.96.196.0/2298.96.196.1 to 98.96.199.25498.96.199.2551,022
5198.96.200.0/2298.96.200.1 to 98.96.203.25498.96.203.2551,022
5298.96.204.0/2298.96.204.1 to 98.96.207.25498.96.207.2551,022
5398.96.208.0/2298.96.208.1 to 98.96.211.25498.96.211.2551,022
5498.96.212.0/2298.96.212.1 to 98.96.215.25498.96.215.2551,022
5598.96.216.0/2298.96.216.1 to 98.96.219.25498.96.219.2551,022
5698.96.220.0/2298.96.220.1 to 98.96.223.25498.96.223.2551,022
5798.96.224.0/2298.96.224.1 to 98.96.227.25498.96.227.2551,022
5898.96.228.0/2298.96.228.1 to 98.96.231.25498.96.231.2551,022
5998.96.232.0/2298.96.232.1 to 98.96.235.25498.96.235.2551,022
6098.96.236.0/2298.96.236.1 to 98.96.239.25498.96.239.2551,022
6198.96.240.0/2298.96.240.1 to 98.96.243.25498.96.243.2551,022
6298.96.244.0/2298.96.244.1 to 98.96.247.25498.96.247.2551,022
6398.96.248.0/2298.96.248.1 to 98.96.251.25498.96.251.2551,022
6498.96.252.0/2298.96.252.1 to 98.96.255.25498.96.255.2551,022
6598.97.0.0/2298.97.0.1 to 98.97.3.25498.97.3.2551,022
6698.97.4.0/2298.97.4.1 to 98.97.7.25498.97.7.2551,022
6798.97.8.0/2298.97.8.1 to 98.97.11.25498.97.11.2551,022
6898.97.12.0/2298.97.12.1 to 98.97.15.25498.97.15.2551,022
6998.97.16.0/2298.97.16.1 to 98.97.19.25498.97.19.2551,022
7098.97.20.0/2298.97.20.1 to 98.97.23.25498.97.23.2551,022
7198.97.24.0/2298.97.24.1 to 98.97.27.25498.97.27.2551,022
7298.97.28.0/2298.97.28.1 to 98.97.31.25498.97.31.2551,022
7398.97.32.0/2298.97.32.1 to 98.97.35.25498.97.35.2551,022
7498.97.36.0/2298.97.36.1 to 98.97.39.25498.97.39.2551,022
7598.97.40.0/2298.97.40.1 to 98.97.43.25498.97.43.2551,022
7698.97.44.0/2298.97.44.1 to 98.97.47.25498.97.47.2551,022
7798.97.48.0/2298.97.48.1 to 98.97.51.25498.97.51.2551,022
7898.97.52.0/2298.97.52.1 to 98.97.55.25498.97.55.2551,022
7998.97.56.0/2298.97.56.1 to 98.97.59.25498.97.59.2551,022
8098.97.60.0/2298.97.60.1 to 98.97.63.25498.97.63.2551,022
8198.97.64.0/2298.97.64.1 to 98.97.67.25498.97.67.2551,022
8298.97.68.0/2298.97.68.1 to 98.97.71.25498.97.71.2551,022
8398.97.72.0/2298.97.72.1 to 98.97.75.25498.97.75.2551,022
8498.97.76.0/2298.97.76.1 to 98.97.79.25498.97.79.2551,022
8598.97.80.0/2298.97.80.1 to 98.97.83.25498.97.83.2551,022
8698.97.84.0/2298.97.84.1 to 98.97.87.25498.97.87.2551,022
8798.97.88.0/2298.97.88.1 to 98.97.91.25498.97.91.2551,022
8898.97.92.0/2298.97.92.1 to 98.97.95.25498.97.95.2551,022
8998.97.96.0/2298.97.96.1 to 98.97.99.25498.97.99.2551,022
9098.97.100.0/2298.97.100.1 to 98.97.103.25498.97.103.2551,022
9198.97.104.0/2298.97.104.1 to 98.97.107.25498.97.107.2551,022
9298.97.108.0/2298.97.108.1 to 98.97.111.25498.97.111.2551,022
9398.97.112.0/2298.97.112.1 to 98.97.115.25498.97.115.2551,022
9498.97.116.0/2298.97.116.1 to 98.97.119.25498.97.119.2551,022
9598.97.120.0/2298.97.120.1 to 98.97.123.25498.97.123.2551,022
9698.97.124.0/2298.97.124.1 to 98.97.127.25498.97.127.2551,022
9798.97.128.0/2298.97.128.1 to 98.97.131.25498.97.131.2551,022
9898.97.132.0/2298.97.132.1 to 98.97.135.25498.97.135.2551,022
9998.97.136.0/2298.97.136.1 to 98.97.139.25498.97.139.2551,022
10098.97.140.0/2298.97.140.1 to 98.97.143.25498.97.143.2551,022
10198.97.144.0/2298.97.144.1 to 98.97.147.25498.97.147.2551,022
10298.97.148.0/2298.97.148.1 to 98.97.151.25498.97.151.2551,022
10398.97.152.0/2298.97.152.1 to 98.97.155.25498.97.155.2551,022
10498.97.156.0/2298.97.156.1 to 98.97.159.25498.97.159.2551,022
10598.97.160.0/2298.97.160.1 to 98.97.163.25498.97.163.2551,022
10698.97.164.0/2298.97.164.1 to 98.97.167.25498.97.167.2551,022
10798.97.168.0/2298.97.168.1 to 98.97.171.25498.97.171.2551,022
10898.97.172.0/2298.97.172.1 to 98.97.175.25498.97.175.2551,022
10998.97.176.0/2298.97.176.1 to 98.97.179.25498.97.179.2551,022
11098.97.180.0/2298.97.180.1 to 98.97.183.25498.97.183.2551,022
11198.97.184.0/2298.97.184.1 to 98.97.187.25498.97.187.2551,022
11298.97.188.0/2298.97.188.1 to 98.97.191.25498.97.191.2551,022
11398.97.192.0/2298.97.192.1 to 98.97.195.25498.97.195.2551,022
11498.97.196.0/2298.97.196.1 to 98.97.199.25498.97.199.2551,022
11598.97.200.0/2298.97.200.1 to 98.97.203.25498.97.203.2551,022
11698.97.204.0/2298.97.204.1 to 98.97.207.25498.97.207.2551,022
11798.97.208.0/2298.97.208.1 to 98.97.211.25498.97.211.2551,022
11898.97.212.0/2298.97.212.1 to 98.97.215.25498.97.215.2551,022
11998.97.216.0/2298.97.216.1 to 98.97.219.25498.97.219.2551,022
12098.97.220.0/2298.97.220.1 to 98.97.223.25498.97.223.2551,022
12198.97.224.0/2298.97.224.1 to 98.97.227.25498.97.227.2551,022
12298.97.228.0/2298.97.228.1 to 98.97.231.25498.97.231.2551,022
12398.97.232.0/2298.97.232.1 to 98.97.235.25498.97.235.2551,022
12498.97.236.0/2298.97.236.1 to 98.97.239.25498.97.239.2551,022
12598.97.240.0/2298.97.240.1 to 98.97.243.25498.97.243.2551,022
12698.97.244.0/2298.97.244.1 to 98.97.247.25498.97.247.2551,022
12798.97.248.0/2298.97.248.1 to 98.97.251.25498.97.251.2551,022
12898.97.252.0/2298.97.252.1 to 98.97.255.25498.97.255.2551,022
12998.98.0.0/2298.98.0.1 to 98.98.3.25498.98.3.2551,022
13098.98.4.0/2298.98.4.1 to 98.98.7.25498.98.7.2551,022
13198.98.8.0/2298.98.8.1 to 98.98.11.25498.98.11.2551,022
13298.98.12.0/2298.98.12.1 to 98.98.15.25498.98.15.2551,022
13398.98.16.0/2298.98.16.1 to 98.98.19.25498.98.19.2551,022
13498.98.20.0/2298.98.20.1 to 98.98.23.25498.98.23.2551,022
13598.98.24.0/2298.98.24.1 to 98.98.27.25498.98.27.2551,022
13698.98.28.0/2298.98.28.1 to 98.98.31.25498.98.31.2551,022
13798.98.32.0/2298.98.32.1 to 98.98.35.25498.98.35.2551,022
13898.98.36.0/2298.98.36.1 to 98.98.39.25498.98.39.2551,022
13998.98.40.0/2298.98.40.1 to 98.98.43.25498.98.43.2551,022
14098.98.44.0/2298.98.44.1 to 98.98.47.25498.98.47.2551,022
14198.98.48.0/2298.98.48.1 to 98.98.51.25498.98.51.2551,022
14298.98.52.0/2298.98.52.1 to 98.98.55.25498.98.55.2551,022
14398.98.56.0/2298.98.56.1 to 98.98.59.25498.98.59.2551,022
14498.98.60.0/2298.98.60.1 to 98.98.63.25498.98.63.2551,022
14598.98.64.0/2298.98.64.1 to 98.98.67.25498.98.67.2551,022
14698.98.68.0/2298.98.68.1 to 98.98.71.25498.98.71.2551,022
14798.98.72.0/2298.98.72.1 to 98.98.75.25498.98.75.2551,022
14898.98.76.0/2298.98.76.1 to 98.98.79.25498.98.79.2551,022
14998.98.80.0/2298.98.80.1 to 98.98.83.25498.98.83.2551,022
15098.98.84.0/2298.98.84.1 to 98.98.87.25498.98.87.2551,022
15198.98.88.0/2298.98.88.1 to 98.98.91.25498.98.91.2551,022
15298.98.92.0/2298.98.92.1 to 98.98.95.25498.98.95.2551,022
15398.98.96.0/2298.98.96.1 to 98.98.99.25498.98.99.2551,022
15498.98.100.0/2298.98.100.1 to 98.98.103.25498.98.103.2551,022
15598.98.104.0/2298.98.104.1 to 98.98.107.25498.98.107.2551,022
15698.98.108.0/2298.98.108.1 to 98.98.111.25498.98.111.2551,022
15798.98.112.0/2298.98.112.1 to 98.98.115.25498.98.115.2551,022
15898.98.116.0/2298.98.116.1 to 98.98.119.25498.98.119.2551,022
15998.98.120.0/2298.98.120.1 to 98.98.123.25498.98.123.2551,022
16098.98.124.0/2298.98.124.1 to 98.98.127.25498.98.127.2551,022
16198.98.128.0/2298.98.128.1 to 98.98.131.25498.98.131.2551,022
16298.98.132.0/2298.98.132.1 to 98.98.135.25498.98.135.2551,022
16398.98.136.0/2298.98.136.1 to 98.98.139.25498.98.139.2551,022
16498.98.140.0/2298.98.140.1 to 98.98.143.25498.98.143.2551,022
16598.98.144.0/2298.98.144.1 to 98.98.147.25498.98.147.2551,022
16698.98.148.0/2298.98.148.1 to 98.98.151.25498.98.151.2551,022
16798.98.152.0/2298.98.152.1 to 98.98.155.25498.98.155.2551,022
16898.98.156.0/2298.98.156.1 to 98.98.159.25498.98.159.2551,022
16998.98.160.0/2298.98.160.1 to 98.98.163.25498.98.163.2551,022
17098.98.164.0/2298.98.164.1 to 98.98.167.25498.98.167.2551,022
17198.98.168.0/2298.98.168.1 to 98.98.171.25498.98.171.2551,022
17298.98.172.0/2298.98.172.1 to 98.98.175.25498.98.175.2551,022
17398.98.176.0/2298.98.176.1 to 98.98.179.25498.98.179.2551,022
17498.98.180.0/2298.98.180.1 to 98.98.183.25498.98.183.2551,022
17598.98.184.0/2298.98.184.1 to 98.98.187.25498.98.187.2551,022
17698.98.188.0/2298.98.188.1 to 98.98.191.25498.98.191.2551,022
17798.98.192.0/2298.98.192.1 to 98.98.195.25498.98.195.2551,022
17898.98.196.0/2298.98.196.1 to 98.98.199.25498.98.199.2551,022
17998.98.200.0/2298.98.200.1 to 98.98.203.25498.98.203.2551,022
18098.98.204.0/2298.98.204.1 to 98.98.207.25498.98.207.2551,022
18198.98.208.0/2298.98.208.1 to 98.98.211.25498.98.211.2551,022
18298.98.212.0/2298.98.212.1 to 98.98.215.25498.98.215.2551,022
18398.98.216.0/2298.98.216.1 to 98.98.219.25498.98.219.2551,022
18498.98.220.0/2298.98.220.1 to 98.98.223.25498.98.223.2551,022
18598.98.224.0/2298.98.224.1 to 98.98.227.25498.98.227.2551,022
18698.98.228.0/2298.98.228.1 to 98.98.231.25498.98.231.2551,022
18798.98.232.0/2298.98.232.1 to 98.98.235.25498.98.235.2551,022
18898.98.236.0/2298.98.236.1 to 98.98.239.25498.98.239.2551,022
18998.98.240.0/2298.98.240.1 to 98.98.243.25498.98.243.2551,022
19098.98.244.0/2298.98.244.1 to 98.98.247.25498.98.247.2551,022
19198.98.248.0/2298.98.248.1 to 98.98.251.25498.98.251.2551,022
19298.98.252.0/2298.98.252.1 to 98.98.255.25498.98.255.2551,022
19398.99.0.0/2298.99.0.1 to 98.99.3.25498.99.3.2551,022
19498.99.4.0/2298.99.4.1 to 98.99.7.25498.99.7.2551,022
19598.99.8.0/2298.99.8.1 to 98.99.11.25498.99.11.2551,022
19698.99.12.0/2298.99.12.1 to 98.99.15.25498.99.15.2551,022
19798.99.16.0/2298.99.16.1 to 98.99.19.25498.99.19.2551,022
19898.99.20.0/2298.99.20.1 to 98.99.23.25498.99.23.2551,022
19998.99.24.0/2298.99.24.1 to 98.99.27.25498.99.27.2551,022
20098.99.28.0/2298.99.28.1 to 98.99.31.25498.99.31.2551,022
20198.99.32.0/2298.99.32.1 to 98.99.35.25498.99.35.2551,022
20298.99.36.0/2298.99.36.1 to 98.99.39.25498.99.39.2551,022
20398.99.40.0/2298.99.40.1 to 98.99.43.25498.99.43.2551,022
20498.99.44.0/2298.99.44.1 to 98.99.47.25498.99.47.2551,022
20598.99.48.0/2298.99.48.1 to 98.99.51.25498.99.51.2551,022
20698.99.52.0/2298.99.52.1 to 98.99.55.25498.99.55.2551,022
20798.99.56.0/2298.99.56.1 to 98.99.59.25498.99.59.2551,022
20898.99.60.0/2298.99.60.1 to 98.99.63.25498.99.63.2551,022
20998.99.64.0/2298.99.64.1 to 98.99.67.25498.99.67.2551,022
21098.99.68.0/2298.99.68.1 to 98.99.71.25498.99.71.2551,022
21198.99.72.0/2298.99.72.1 to 98.99.75.25498.99.75.2551,022
21298.99.76.0/2298.99.76.1 to 98.99.79.25498.99.79.2551,022
21398.99.80.0/2298.99.80.1 to 98.99.83.25498.99.83.2551,022
21498.99.84.0/2298.99.84.1 to 98.99.87.25498.99.87.2551,022
21598.99.88.0/2298.99.88.1 to 98.99.91.25498.99.91.2551,022
21698.99.92.0/2298.99.92.1 to 98.99.95.25498.99.95.2551,022
21798.99.96.0/2298.99.96.1 to 98.99.99.25498.99.99.2551,022
21898.99.100.0/2298.99.100.1 to 98.99.103.25498.99.103.2551,022
21998.99.104.0/2298.99.104.1 to 98.99.107.25498.99.107.2551,022
22098.99.108.0/2298.99.108.1 to 98.99.111.25498.99.111.2551,022
22198.99.112.0/2298.99.112.1 to 98.99.115.25498.99.115.2551,022
22298.99.116.0/2298.99.116.1 to 98.99.119.25498.99.119.2551,022
22398.99.120.0/2298.99.120.1 to 98.99.123.25498.99.123.2551,022
22498.99.124.0/2298.99.124.1 to 98.99.127.25498.99.127.2551,022
22598.99.128.0/2298.99.128.1 to 98.99.131.25498.99.131.2551,022
22698.99.132.0/2298.99.132.1 to 98.99.135.25498.99.135.2551,022
22798.99.136.0/2298.99.136.1 to 98.99.139.25498.99.139.2551,022
22898.99.140.0/2298.99.140.1 to 98.99.143.25498.99.143.2551,022
22998.99.144.0/2298.99.144.1 to 98.99.147.25498.99.147.2551,022
23098.99.148.0/2298.99.148.1 to 98.99.151.25498.99.151.2551,022
23198.99.152.0/2298.99.152.1 to 98.99.155.25498.99.155.2551,022
23298.99.156.0/2298.99.156.1 to 98.99.159.25498.99.159.2551,022
23398.99.160.0/2298.99.160.1 to 98.99.163.25498.99.163.2551,022
23498.99.164.0/2298.99.164.1 to 98.99.167.25498.99.167.2551,022
23598.99.168.0/2298.99.168.1 to 98.99.171.25498.99.171.2551,022
23698.99.172.0/2298.99.172.1 to 98.99.175.25498.99.175.2551,022
23798.99.176.0/2298.99.176.1 to 98.99.179.25498.99.179.2551,022
23898.99.180.0/2298.99.180.1 to 98.99.183.25498.99.183.2551,022
23998.99.184.0/2298.99.184.1 to 98.99.187.25498.99.187.2551,022
24098.99.188.0/2298.99.188.1 to 98.99.191.25498.99.191.2551,022
24198.99.192.0/2298.99.192.1 to 98.99.195.25498.99.195.2551,022
24298.99.196.0/2298.99.196.1 to 98.99.199.25498.99.199.2551,022
24398.99.200.0/2298.99.200.1 to 98.99.203.25498.99.203.2551,022
24498.99.204.0/2298.99.204.1 to 98.99.207.25498.99.207.2551,022
24598.99.208.0/2298.99.208.1 to 98.99.211.25498.99.211.2551,022
24698.99.212.0/2298.99.212.1 to 98.99.215.25498.99.215.2551,022
24798.99.216.0/2298.99.216.1 to 98.99.219.25498.99.219.2551,022
24898.99.220.0/2298.99.220.1 to 98.99.223.25498.99.223.2551,022
24998.99.224.0/2298.99.224.1 to 98.99.227.25498.99.227.2551,022
25098.99.228.0/2298.99.228.1 to 98.99.231.25498.99.231.2551,022
25198.99.232.0/2298.99.232.1 to 98.99.235.25498.99.235.2551,022
25298.99.236.0/2298.99.236.1 to 98.99.239.25498.99.239.2551,022
25398.99.240.0/2298.99.240.1 to 98.99.243.25498.99.243.2551,022
25498.99.244.0/2298.99.244.1 to 98.99.247.25498.99.247.2551,022
25598.99.248.0/2298.99.248.1 to 98.99.251.25498.99.251.2551,022
25698.99.252.0/2298.99.252.1 to 98.99.255.25498.99.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses